package cn.com.qmth.examcloud.core.oe.admin.api.provider;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.core.oe.admin.api.MarkResultCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.ClearMarkResultReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.ClearMarkResultResp;
import cn.com.qmth.examcloud.core.oe.admin.service.MarkResultService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Api(tags = "阅卷分数接口")
@RestController
@RequestMapping("${$rmp.cloud.oe}/mark/result")
public class MarkResultCloudServiceProvider extends ControllerSupport implements MarkResultCloudService {

    private static final long serialVersionUID = 4538819077863159166L;

    @Autowired
    private MarkResultService markResultService;

    @Override
    @ApiOperation(value = "清空评卷结果")
    @PostMapping("clear")
    public ClearMarkResultResp clearScore(@RequestBody @Validated ClearMarkResultReq req) {
        markResultService.clearScore(req);
        return new ClearMarkResultResp();
    }

}