package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;

@Entity
@Table(name = "ec_oe_mark_result", indexes = {
        @Index(name = "IDX_01", columnList = "studentPaperId,orders", unique = true),
        @Index(name = "IDX_02", columnList = "examRecordDataId,orders", unique = true) })
public class MarkResultEntity extends JpaEntity {

    private static final long serialVersionUID = 4101954661852038672L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @Column(nullable = false)
    private Long rootOrgId;

    @Column(nullable = false)
    private Long examId;

    @Column(nullable = false)
    private Long workId;

    @Column(nullable = false)
    private Long examRecordDataId;

    @Column(nullable = false)
    private Long courseId;

    @Column(nullable = false)
    private Long studentPaperId;

    @Column(nullable = false)
    private Double score;

    @Column(nullable = false)
    private Integer orders;

    @Column(nullable = false)
    private String questionId;

    @Column(nullable = false)
    private Integer mainNumber;

    @Column(nullable = false)
    private Integer subNumber;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public Long getStudentPaperId() {
        return studentPaperId;
    }

    public void setStudentPaperId(Long studentPaperId) {
        this.studentPaperId = studentPaperId;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Integer getOrders() {
        return orders;
    }

    public void setOrders(Integer orders) {
        this.orders = orders;
    }

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }

    public Integer getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(Integer subNumber) {
        this.subNumber = subNumber;
    }

}